Bug Hunting Session
Bug 95408 - "Toggle" in Writer Navigator should be more explicit in what it toggles
Summary: "Toggle" in Writer Navigator should be more explicit in what it toggles
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Akshay Deep
URL:
Whiteboard: target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2015-10-29 03:01 UTC by Björn Michaelsen
Modified: 2016-10-25 19:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2015-10-29 03:01:53 UTC
See:

 https://help.libreoffice.org/Writer/Navigator#Toggle

"Toggle" toggles the master view, if a master document is open. This is entirely unintuitive, if the user is not editing a master document (which is most of the time): The disabled button doesnt say what it toggles, even less why it is disabled.

This UI EasyHack is to change the Tooltip for the button to "Toogle Masterview".

Bonus point to make the "Toggle" button should disappear for non-master documents and only be visible on master documents.

Code pointers, grep for:
 SwNavigationPI::ToggleTree()
 FN_SHOW_ROOT
Comment 1 Robinson Tryon (qubit) 2015-12-13 11:00:56 UTC Comment hidden (obsolete)
Comment 2 Akshay Deep 2016-01-30 05:19:11 UTC
I have committed a patch related to this bug. Kindly review it. Hope it fixes this. :)
Comment 3 Commit Notification 2016-02-02 12:47:56 UTC
akki95 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20e2d7e7d1c518fe514e8252836c1c728fe3fc27

tdf#95408 -"Toggle" in Writer Navigator to be more explicit in what it toggles

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-02-03 10:40:23 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=5290d2a3f4df1fb63171b37352dc4ac59a9acf10

tdf#95408 Update this button’s name in Help as well
Comment 5 Robinson Tryon (qubit) 2016-02-18 16:37:06 UTC Comment hidden (obsolete)